Subject: Re: linux-next: build failure after merge of the net-next tree

From: Federico Vaga <[email-masked]>
Date: Wed, 20 Jun 2012 11:59:26 +0200

> Then the driver should NEVER have been submitted without the
> required infrastructure in place first.

This particular driver don't use the clk framework at the moment. I put 
that lines about clk to try to be generic as possibile, but I see that I 
made a mistake: I'm sorry. An alternative solution to HAVE_CLK 
dependency can be: remove the clk_* lines because actualy nobody use 
them. In the future, if our c_can migrate to clk and our clk framework 
is accepted in the kernel, we can re-add the clk_* lines.

-- 
Federico Vaga